## mingw-w64-kicad-9.0.0-2.src.tar.zst

=== eeschema/CMakeLists.txt ===
# Add all the warnings to the files
if( COMPILER_SUPPORTS_WARNINGS )
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARN_FLAGS_CXX}")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARN_FLAGS_C}")
endif()

if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
    if( MSYS )
        # For some reason the big file sim/ngspice_models.cpp creates an issue when
        # compiled in debug mode on msys2
        # (Probably some out of memory issue that crashes Eeschema at start)
        # So compile it in release mode that generates much smaller binaries
        set_source_files_properties( sim/ngspice_models.cpp PROPERTIES COMPILE_FLAGS "-O2" )
    endif()
endif()

# Add ngspice to eeschema
set( INC_AFTER ${INC_AFTER} ${NGSPICE_INCLUDE_DIR} )

# Find out the exact libngspice file name
get_filename_component( NGSPICE_DLL_ABSPATH "${NGSPICE_DLL}" ABSOLUTE )
get_filename_component( NGSPICE_DLL_FILE "${NGSPICE_DLL_ABSPATH}" NAME )
get_filename_component( NGSPICE_DLL_DIR "${NGSPICE_DLL_ABSPATH}" DIRECTORY )

set_property( SOURCE sim/ngspice.cpp
    APPEND PROPERTY COMPILE_DEFINITIONS
    NGSPICE_DLL_FILE="${NGSPICE_DLL_FILE}"
    NGSPICE_DLL_DIR="${NGSPICE_DLL_DIR}"
    )

include_directories( BEFORE ${INC_BEFORE} )
include_directories(
    ${CMAKE_SOURCE_DIR}/common
    ${CMAKE_SOURCE_DIR}/common/dialogs
    ${CMAKE_SOURCE_DIR}/libs/sexpr/include
    ${INC_AFTER}
    ./dialogs
    ./libview
    ./symbol_editor
    ./tools
    ./widgets
    )

set( EESCHEMA_SCH_IO
    sch_io/sch_io_lib_cache.cpp

    sch_io/sch_io.cpp
    sch_io/sch_io_mgr.cpp

    # KiCad IO plugin
    sch_io/kicad_sexpr/sch_io_kicad_sexpr.cpp
    sch_io/kicad_sexpr/sch_io_kicad_sexpr_lib_cache.cpp
    sch_io/kicad_sexpr/sch_io_kicad_sexpr_common.cpp
    sch_io/kicad_sexpr/sch_io_kicad_sexpr_parser.cpp

    # Legacy IO plugin
    sch_io/kicad_legacy/sch_io_kicad_legacy_lib_cache.cpp
    sch_io/kicad_legacy/sch_io_kicad_legacy.cpp
    sch_io/kicad_legacy/sch_io_kicad_legacy_helpers.cpp

    # HTTP IO plugin
    sch_io/http_lib/sch_io_http_lib.cpp

    # Database IO plugin
    sch_io/database/sch_io_database.cpp

    # Eagle IO plugin
    sch_io/eagle/sch_io_eagle.cpp

    # Altium IO plugin
    sch_io/altium/altium_parser_sch.cpp
    sch_io/altium/sch_io_altium.cpp

    # Cadstar IO plugin
    sch_io/cadstar/cadstar_sch_archive_loader.cpp
    sch_io/cadstar/cadstar_sch_archive_parser.cpp
    sch_io/cadstar/sch_io_cadstar_archive.cpp

    # LTSpice IO plugin
    sch_io/ltspice/ltspice_schematic.cpp
    sch_io/ltspice/sch_io_ltspice.cpp
    sch_io/ltspice/sch_io_ltspice_parser.cpp

    # EasyEDA IO plugin
    sch_io/easyeda/sch_easyeda_parser.cpp
    sch_io/easyeda/sch_io_easyeda.cpp

    # EasyEDA Pro IO plugin
    sch_io/easyedapro/sch_easyedapro_parser.cpp
    sch_io/easyedapro/sch_io_easyedapro.cpp
    )

set( EESCHEMA_DLGS
    dialogs/dialog_annotate.cpp
    dialogs/dialog_annotate_base.cpp
    dialogs/dialog_bom.cpp
    dialogs/dialog_bom_base.cpp
    dialogs/dialog_change_symbols.cpp
    dialogs/dialog_change_symbols_base.cpp
    dialogs/dialog_database_lib_settings_base.cpp
    dialogs/dialog_database_lib_settings.cpp
    dialogs/dialog_design_block_properties_base.cpp
    dialogs/dialog_design_block_properties.cpp
    dialogs/dialog_edit_symbols_libid.cpp
    dialogs/dialog_edit_symbols_libid_base.cpp
    dialogs/dialog_eeschema_page_settings.cpp
    dialogs/dialog_erc.cpp
    dialogs/dialog_erc_base.cpp
    dialogs/dialog_export_netlist.cpp
    dialogs/dialog_export_netlist_base.cpp
    dialogs/dialog_field_properties.cpp
    dialogs/dialog_field_properties_base.cpp
    dialogs/dialog_global_edit_text_and_graphics.cpp
    dialogs/dialog_global_edit_text_and_graphics_base.cpp
    dialogs/dialog_global_sym_lib_table_config.cpp
    dialogs/dialog_ibis_parser_reporter.cpp
    dialogs/dialog_ibis_parser_reporter_base.cpp
    dialogs/dialog_image_properties.cpp
    dialogs/dialog_image_properties_base.cpp
    dialogs/dialog_increment_annotations_base.cpp
    dialogs/dialog_junction_props.cpp
    dialogs/dialog_junction_props_base.cpp
    dialogs/dialog_label_properties.cpp
    dialogs/dialog_label_properties_base.cpp
    dialogs/dialog_lib_edit_pin_table.cpp
    dialogs/dialog_lib_edit_pin_table_base.cpp
    dialogs/dialog_lib_new_symbol.cpp
    dialogs/dialog_lib_new_symbol_base.cpp
    dialogs/dialog_lib_symbol_properties.cpp
    dialogs/dialog_lib_symbol_properties_base.cpp
    dialogs/dialog_line_properties.cpp
    dialogs/dialog_line_properties_base.cpp
    dialogs/dialog_migrate_buses.cpp
    dialogs/dialog_migrate_buses_base.cpp
    dialogs/dialog_pin_properties.cpp
    dialogs/dialog_pin_properties_base.cpp
    dialogs/dialog_plot_schematic.cpp
    dialogs/dialog_plot_schematic_base.cpp
    dialogs/dialog_erc_job_config.cpp
    dialogs/dialog_rescue_each.cpp
    dialogs/dialog_rescue_each_base.cpp
    dialogs/dialog_sch_import_settings.cpp
    dialogs/dialog_sch_import_settings_base.cpp
    dialogs/dialog_schematic_find.cpp
    dialogs/dialog_schematic_find_base.cpp
    dialogs/dialog_schematic_setup.cpp
    dialogs/dialog_shape_properties.cpp
    dialogs/dialog_shape_properties_base.cpp
    dialogs/dialog_sheet_pin_properties.cpp
    dialogs/dialog_sheet_pin_properties_base.cpp
    dialogs/dialog_sheet_properties.cpp
    dialogs/dialog_sheet_properties_base.cpp
    dialogs/dialog_symbol_chooser.cpp
    dialogs/dialog_symbol_fields_table.cpp
    dialogs/dialog_symbol_fields_table_base.cpp
    dialogs/dialog_symbol_properties.cpp
    dialogs/dialog_symbol_properties_base.cpp
    dialogs/dialog_symbol_remap.cpp
    dialogs/dialog_symbol_remap_base.cpp
    dialogs/dialog_table_properties.cpp
    dialogs/dialog_table_properties_base.cpp
    dialogs/dialog_tablecell_properties.cpp
    dialogs/dialog_tablecell_properties_base.cpp
    dialogs/dialog_text_properties.cpp
    dialogs/dialog_text_properties_base.cpp
    dialogs/dialog_update_from_pcb.cpp
    dialogs/dialog_update_from_pcb_base.cpp
    dialogs/dialog_update_symbol_fields.cpp
    dialogs/dialog_update_symbol_fields_base.cpp
    dialogs/dialog_wire_bus_properties.cpp
    dialogs/dialog_wire_bus_properties_base.cpp
    dialogs/panel_bom_presets.cpp
    dialogs/panel_bom_presets_base.cpp
    dialogs/panel_eeschema_color_settings.cpp
    dialogs/panel_eeschema_display_options.cpp
    dialogs/panel_eeschema_display_options_base.cpp
    dialogs/panel_eeschema_annotation_options.cpp
    dialogs/panel_eeschema_annotation_options_base.cpp
    dialogs/panel_eeschema_editing_options.cpp
    dialogs/panel_eeschema_editing_options_base.cpp
    dialogs/panel_setup_buses.cpp
    dialogs/panel_setup_buses_base.cpp
    dialogs/panel_setup_formatting.cpp
    dialogs/panel_setup_formatting_base.cpp
    dialogs/panel_setup_pinmap.cpp
    dialogs/panel_setup_pinmap_base.cpp
    dialogs/panel_simulator_preferences.cpp
    dialogs/panel_simulator_preferences_base.cpp
    dialogs/panel_sym_color_settings.cpp
    dialogs/panel_sym_color_settings_base.cpp
    dialogs/panel_sym_display_options.cpp
    dialogs/panel_sym_display_options_base.cpp
    dialogs/panel_sym_editing_options.cpp
    dialogs/panel_sym_editing_options_base.cpp
    dialogs/panel_sym_lib_table.cpp
    dialogs/panel_sym_lib_table_base.cpp
    dialogs/panel_template_fieldnames.cpp
    dialogs/panel_template_fieldnames_base.cpp
    )

# The simulator source files
set( EESCHEMA_SIM_SRCS
    dialogs/dialog_sim_command.cpp
    dialogs/dialog_sim_command_base.cpp
    dialogs/dialog_sim_format_value.cpp
    dialogs/dialog_sim_format_value_base.cpp
    dialogs/dialog_sim_model.cpp
    dialogs/dialog_sim_model_base.cpp
    dialogs/dialog_user_defined_signals.cpp
    dialogs/dialog_user_defined_signals_base.cpp
    tools/simulator_control.cpp

    sim/sim_library.cpp
    sim/sim_library_spice.cpp
    sim/sim_library_ibis.cpp
    sim/sim_lib_mgr.cpp

    sim/sim_model_serializer.cpp
    sim/sim_model.cpp
    sim/sim_model_behavioral.cpp
    sim/sim_model_ideal.cpp
    sim/sim_model_l_mutual.cpp
    sim/sim_model_ibis.cpp
    sim/sim_model_ngspice.cpp
    sim/sim_model_ngspice_data_bjt.cpp
    sim/sim_model_ngspice_data_bsim1.cpp
    sim/sim_model_ngspice_data_bsim2.cpp
    sim/sim_model_ngspice_data_bsim3.cpp
    sim/sim_model_ngspice_data_bsim4.cpp
    sim/sim_model_ngspice_data_b3soi.cpp
    sim/sim_model_ngspice_data_b4soi.cpp
    sim/sim_model_ngspice_data_diode.cpp
    sim/sim_model_ngspice_data_hfet.cpp
    sim/sim_model_ngspice_data_hicum2.cpp
    sim/sim_model_ngspice_data_hsim.cpp
    sim/sim_model_ngspice_data_jfet.cpp
    sim/sim_model_ngspice_data_mes.cpp
    sim/sim_model_ngspice_data_mos.cpp
    sim/sim_model_ngspice_data_mos6.cpp
    sim/sim_model_ngspice_data_mos9.cpp
    sim/sim_model_ngspice_data_vbic.cpp
    sim/sim_model_r_pot.cpp
    sim/sim_model_raw_spice.cpp
    sim/sim_model_source.cpp
    sim/sim_model_spice.cpp
    sim/sim_model_spice_fallback.cpp
    sim/sim_model_subckt.cpp
    sim/sim_model_switch.cpp
    sim/sim_model_tline.cpp
    sim/sim_model_xspice.cpp

    sim/sim_value.cpp
    sim/spice_settings.cpp
    sim/spice_generator.cpp
    sim/spice_library_parser.cpp
    sim/spice_model_parser.cpp

    sim/kibis/ibis_parser.cpp
    sim/kibis/kibis.cpp

    sim/spice_circuit_model.cpp
    sim/ngspice.cpp
    sim/simulator_frame.cpp
    sim/simulator_frame_ui.cpp
    sim/simulator_frame_ui_base.cpp
    sim/sim_plot_colors.cpp
    sim/sim_plot_tab.cpp
    sim/sim_property.cpp
    sim/sim_tab.cpp
    sim/spice_simulator.cpp
    sim/spice_value.cpp
    sim/toolbars_simulator_frame.cpp

    sim/legacy_workbook.cpp

    widgets/tuner_slider.cpp
    widgets/tuner_slider_base.cpp
    )

set( EESCHEMA_WIDGETS
    widgets/design_block_pane.cpp
    widgets/design_block_preview_widget.cpp
    widgets/hierarchy_pane.cpp
    widgets/panel_design_block_chooser.cpp
    widgets/panel_sch_selection_filter_base.cpp
    widgets/panel_sch_selection_filter.cpp
    widgets/panel_symbol_chooser.cpp
    widgets/pin_shape_combobox.cpp
    widgets/pin_type_combobox.cpp
    widgets/symbol_diff_widget.cpp
    widgets/sch_properties_panel.cpp
    widgets/sch_search_pane.cpp
    widgets/search_handlers.cpp
    widgets/symbol_filter_combobox.cpp
    widgets/symbol_preview_widget.cpp
    widgets/symbol_tree_pane.cpp
    )


set ( EESCHEMA_LIBEDIT_SRCS
    symbol_editor/lib_logger.cpp
    symbol_editor/lib_symbol_library_manager.cpp
    symbol_editor/menubar_symbol_editor.cpp
    symbol_editor/symbol_edit_frame.cpp
    symbol_editor/symbol_editor.cpp
    symbol_editor/symbol_editor_import_export.cpp
    symbol_editor/symbol_editor_plotter.cpp
    symbol_editor/symbol_editor_settings.cpp
    symbol_editor/symbol_editor_undo_redo.cpp
    symbol_editor/toolbars_symbol_editor.cpp
    )

set( EESCHEMA_IMPORT_GFX
    import_gfx/dialog_import_gfx_sch_base.cpp
    import_gfx/dialog_import_gfx_sch.cpp
    import_gfx/graphics_importer_lib_symbol.cpp
    import_gfx/graphics_importer_sch.cpp
    )

set( EESCHEMA_PRINTING
    printing/dialog_print.cpp
    printing/dialog_print_base.cpp
    printing/sch_printout.cpp
    )

set( SYNC_SHEET_PIN_SRCS
    sync_sheet_pin/dialog_sync_sheet_pins.cpp
    sync_sheet_pin/dialog_sync_sheet_pins_base.cpp
    sync_sheet_pin/panel_sync_sheet_pins.cpp
    sync_sheet_pin/panel_sync_sheet_pins_base.cpp
    sync_sheet_pin/sheet_synchronization_agent.cpp
    sync_sheet_pin/sheet_synchronization_item.cpp
    sync_sheet_pin/sheet_synchronization_notifier.cpp
    sync_sheet_pin/sheet_synchronization_model.cpp
    )

set( EESCHEMA_ERC_SRCS
    erc/erc.cpp
    erc/erc_item.cpp
    erc/erc_report.cpp
    erc/erc_sch_pin_context.cpp
    erc/erc_settings.cpp
    )

set( EESCHEMA_SRCS
    ${EESCHEMA_DLGS}
    ${EESCHEMA_ERC_SRCS}
    ${EESCHEMA_LIBEDIT_SRCS}
    ${EESCHEMA_SCH_IO}
    ${EESCHEMA_SIM_SRCS}
    ${EESCHEMA_WIDGETS}
    ${EESCHEMA_IMPORT_GFX}
    ${SYNC_SHEET_PIN_SRCS}
    annotate.cpp
    autoplace_fields.cpp
    bom_plugins.cpp
    bus-wire-junction.cpp
    connection_graph.cpp

=== thirdparty/compoundfilereader/CMakeLists.txt ===
add_library( compoundfilereader INTERFACE )

target_include_directories( compoundfilereader INTERFACE ${CMAKE_CURRENT_SOURCE_DIR} )

=== qa/tests/libs/kinng/CMakeLists.txt ===
# This program source code file is part of KiCad, a free EDA CAD application.
#
# Copyright (C) 2023 KiCad Developers, see AUTHORS.TXT for contributors.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

set( QA_KINNG_SRCS
    kinng_test_module.cpp
    test_kinng.cpp
    )

add_executable( qa_kinng
    ${QA_KINNG_SRCS}
    )

target_link_libraries( qa_kinng
    qa_utils
    kinng
    kiapi
    ${NNG_LIBRARY}
    ${wxWidgets_LIBRARIES}
    )

target_include_directories( qa_kinng PRIVATE
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_SOURCE_DIR}/qa/mocks/include
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

kicad_add_boost_test( qa_kinng qa_kinng )

=== PKGBUILD ===
# Maintainer: Alexey Pavlov <alexpux@gmail.com>
# Contributor: Tim Stahlhut <stahta01@gmail.com>

# Remember to update mingw-w64-kicad-doc and mingw-w64-kicad-library when
# updating this build rule.

_wx_basever=3.2

_realname=kicad
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-meta")
pkgver=9.0.0
pkgrel=2
pkgdesc="Software for the creation of electronic schematic diagrams and printed circuit board artwork (mingw-w64)"
arch=(any)
mingw_arch=('ucrt64' 'clang64' 'clangarm64')
url="https://www.kicad.org/"
msys2_repository_url="https://gitlab.com/kicad/code/kicad"
msys2_references=(
  'archlinux: kicad'
  "cpe: cpe:/a:kicad:eda"
  "cpe: cpe:/a:kicad:kicad_eda"
)
license=("spdx:GPL-3.0-or-later")
groups=("${MINGW_PACKAGE_PREFIX}-eda")
conflicts=(${MINGW_PACKAGE_PREFIX}-${_realname}-git)
replaces=(${MINGW_PACKAGE_PREFIX}-${_realname}-git)
depends=(
  "${MINGW_PACKAGE_PREFIX}-cairo"
  "${MINGW_PACKAGE_PREFIX}-curl"
  "${MINGW_PACKAGE_PREFIX}-fmt"
  "${MINGW_PACKAGE_PREFIX}-freeglut"
  "${MINGW_PACKAGE_PREFIX}-glew"
  "${MINGW_PACKAGE_PREFIX}-glm"
  "${MINGW_PACKAGE_PREFIX}-nng"
  "${MINGW_PACKAGE_PREFIX}-protobuf"
  "${MINGW_PACKAGE_PREFIX}-kicad-footprints"
  "${MINGW_PACKAGE_PREFIX}-kicad-symbols"
  "${MINGW_PACKAGE_PREFIX}-libgit2"
  "${MINGW_PACKAGE_PREFIX}-ngspice"
  "${MINGW_PACKAGE_PREFIX}-python"
  "${MINGW_PACKAGE_PREFIX}-opencascade"
  "${MINGW_PACKAGE_PREFIX}-openssl"
  "${MINGW_PACKAGE_PREFIX}-wxPython"
  "${MINGW_PACKAGE_PREFIX}-wxwidgets${_wx_basever}-msw-libs"
  "${MINGW_PACKAGE_PREFIX}-zlib"
)
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-cmake"
  "${MINGW_PACKAGE_PREFIX}-ninja"
  "${MINGW_PACKAGE_PREFIX}-pkgconf"
  "${MINGW_PACKAGE_PREFIX}-boost"
  "${MINGW_PACKAGE_PREFIX}-doxygen"
  "${MINGW_PACKAGE_PREFIX}-swig"
  "${MINGW_PACKAGE_PREFIX}-wxwidgets${_wx_basever}-msw"
  "git"
)
optdepends=(
  "${MINGW_PACKAGE_PREFIX}-kicad-templates: for template libraries"
  "${MINGW_PACKAGE_PREFIX}-kicad-packages3D: for 3D model libraries"
)
_doc=("ca" "de" "en" "es" "fr" "id" "it" "ja" "nl" "pl" "ru" "zh")
for _doclang in ${_doc[@]}; do
  optdepends+=("${MINGW_PACKAGE_PREFIX}-${_realname}-doc-${_doclang}: for documentation (${_doclang})");
done
source=(
  "https://gitlab.com/kicad/code/kicad/-/archive/${pkgver}/kicad-${pkgver}.tar.bz2"
  '002-ki-6.0-cmake-fixes-for-MINGW-CLANG.patch'
  '003-ki-6.0-code-fixes-for-GNUC-CLANG.patch'
  '004-fix-loading-ngspice-dll.patch'
  '005-clang-fmt-workaround.patch'
  '006-ki-6.0-rewrite-kiwin32_rc_for_clang.patch'
  '007-llvm-libcxx-19.patch'
  '008-fix-version-header-dependency.patch'
  '009-clang-needs-explicit-json-implementations.patch'
)
sha256sums=('628b5fbdf6a4bab5ec5f5fe3e1a314229deb389dc4db87d6637f04899df3f067'
            '2924a86849c02aecd21cded0bd2069353fca33c3364f9b41f9bfdd80e19085cf'
            'd8d5f4bdd0aa6d8a907710c523f6f95840636cb2ef69e5275c6ed4966f134353'
            'f35a96c2393c21c266dbcd42616df64f9ee13b2423478bf6de029a3ad4e0ee8a'
            'bc7ad66d81d56dcfc237dfffe31fff58addff98622f65f64c45df11f70088c37'
            '3155b9515ec7c094221441ce337c566c346bf76bb7aa42e86660cfdfb599e307'
            '5531acad48988772e4453f42ac749f4001170e4be892d3f224b37e0e606ab5ab'
            '2ce8ff7710c64616bdc160cfe7e4079778520c21d2500840dbf74d6f79276727'
            '3b0249e26dd1fb8f6c9626c93f4ab634f65a8f258fa527566a715cb4a4e49403')

# Helper macros to help make tasks easier #
apply_patch_with_msg() {
  for _fname in "$@"
  do
    msg2 "Applying ${_fname}"
    patch -Nbp1 -i "${srcdir}"/${_fname}
  done
}

prepare() {
  cd ${_realname}-${pkgver}

  apply_patch_with_msg \
    002-ki-6.0-cmake-fixes-for-MINGW-CLANG.patch \
    003-ki-6.0-code-fixes-for-GNUC-CLANG.patch \
    004-fix-loading-ngspice-dll.patch \
    005-clang-fmt-workaround.patch \
    006-ki-6.0-rewrite-kiwin32_rc_for_clang.patch \
    007-llvm-libcxx-19.patch \
    008-fix-version-header-dependency.patch \
    009-clang-needs-explicit-json-implementations.patch
}

build() {
  mkdir -p "${srcdir}"/build-${MSYSTEM} && cd "${srcdir}"/build-${MSYSTEM}

  export GIT_DIR=/dev/null

  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=;DCMAKE_PREFIX_PATH=;DEFAULT_INSTALL_PATH=" \
    "${MINGW_PREFIX}"/bin/cmake.exe -Wno-dev \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      "${_extra_config[@]}" \
      -DCMAKE_PREFIX_PATH="${MINGW_PREFIX}" \
      -DDEFAULT_INSTALL_PATH="${MINGW_PREFIX}" \
      -DwxWidgets_CONFIG_EXECUTABLE="${MINGW_PREFIX}"/bin/wx-config-${_wx_basever} \
      -DOCC_INCLUDE_DIR="${MINGW_PREFIX}"/include/opencascade \
      -DKICAD_SCRIPTING_WXPYTHON=ON \
      -DKICAD_BUILD_I18N=ON \
      -DKICAD_BUILD_QA_TESTS=OFF \
      -DPYTHON_EXECUTABLE="${MINGW_PREFIX}"/bin/python.exe \
      -DPYTHON_INCLUDE_DIR=$("${MINGW_PREFIX}"/bin/python.exe -c "from sysconfig import get_paths as gp; print(gp()[\"include\"])") \
      -DPYTHON_ROOT_DIR="${MINGW_PREFIX}" \
      -DNGSPICE_ROOT_DIR=${MINGW_PREFIX} \
      ../${_realname}-${pkgver}

  "${MINGW_PREFIX}"/bin/cmake.exe --build .
}

package_kicad() {
  cd "${srcdir}/build-${MSYSTEM}"
  DESTDIR="${pkgdir}" "${MINGW_PREFIX}"/bin/cmake.exe --install .

  install -Dm644 "${srcdir}/${_realname}-${pkgver}/LICENSE.README" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE.README"
  install -Dm644 "${srcdir}/${_realname}-${pkgver}/LICENSE.GPLv3" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE.GPLv3"
}

package_kicad-meta() {
  pkgdesc="Meta package for KiCad containing the core application and support libraries (mingw-w64)"

  optdepends=()
  replaces=()
  conflicts=()
  provides=()
  depends=(${MINGW_PACKAGE_PREFIX}-${_realname}
           ${MINGW_PACKAGE_PREFIX}-${_realname}-footprints
           ${MINGW_PACKAGE_PREFIX}-${_realname}-symbols
           ${MINGW_PACKAGE_PREFIX}-${_realname}-templates
           ${MINGW_PACKAGE_PREFIX}-${_realname}-packages3D)
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
